@import url("https://fonts.googleapis.com/css2?family=Comfortaa:wght@300&family=Fredericka+the+Great&family=Quicksand&display=swap");
* {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  box-sizing: border-box;
  font-family: "Quicksand", sans-serif;
}

.page {
  min-height: 100vh;
  background-color: #303030;
  color: #D9D9D9;
  padding: 24px;
}

header {
  display: flex;
  justify-content: space-between;
  gap: 24px;
  align-items: center;
  padding: 0 24px;
  background-color: #f2f2f2;
  height: 120px;
}
header div {
  flex: 1;
  display: flex;
  align-items: center;
}
header div.left img {
  width: 120px;
}
header div.left p {
  font-family: "Fredericka the Great", serif;
  font-size: 36px;
}
header div.right {
  display: flex;
  justify-content: center;
  gap: 4px;
}
header div.right span {
  display: flex;
  padding: 6px;
  cursor: pointer;
}
header div.right span:hover {
  background-color: #D9D9D9;
  border-radius: 12px;
}
header nav {
  background-color: #303030;
  padding: 0 12px;
  flex: 3;
  border: #454545 5px solid;
  border-radius: 24px;
}
header nav ul {
  display: flex;
  justify-content: center;
  gap: 24px;
  list-style: none;
}
header nav ul li {
  color: #D9D9D9;
  font-size: 18px;
}
header nav ul li p {
  position: relative;
  padding: 12px;
  cursor: pointer;
}
header nav ul li p:hover {
  background-color: #454545;
}
header nav ul li.active {
  text-decoration: underline;
  text-underline-offset: 4px;
}

footer img {
  width: 120px;
}

.cards {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
.cards .card {
  position: relative;
  background-color: #1A1A1A;
  width: 260px;
  padding: 16px;
  margin: 12px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  border-radius: 12px;
}
.cards .card img {
  width: 220px;
  border-radius: 12px;
  height: 330px;
  object-fit: cover;
}
.cards .card .title {
  margin: 12px 0;
  text-align: center;
}
.cards .card .infos {
  width: 100%;
  display: flex;
  justify-content: space-around;
}
.cards .card .infos div {
  display: flex;
  align-items: center;
  gap: 4px;
}
.cards .card .infos div span {
  display: flex;
}
.cards .card .actions {
  display: none;
}
.cards .card .actions form {
  width: 100%;
  display: flex;
  justify-content: center;
}
.cards .card:hover .actions {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  border-radius: 12px;
}
.cards .card:hover .actions button {
  cursor: pointer;
  width: 50%;
  color: #D9D9D9;
  background-color: #303030;
  padding: 12px;
  font-size: 18px;
  border: 0;
}
.cards .card:hover .actions button:hover {
  background-color: #1A1A1A;
}

.notFound {
  width: 100%;
  display: flex;
}
.notFound .container {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #f2f2f2;
}
.notFound .container .error {
  font-size: 14em;
  font-style: italic;
}
.notFound .container p {
  font-size: 1.4em;
}
.notFound .container button {
  padding: 12px;
  font-size: 1.5em;
  border-radius: 6px;
  border: none;
  background-color: #f2f2f2;
  z-index: 1;
}
.notFound .container button:hover {
  cursor: pointer;
  opacity: 0.6;
}
.notFound .container .svgs {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.notFound .container .svgs svg {
  position: absolute;
  width: 200px;
  fill: rgb(0, 162, 255);
  opacity: 0.6;
}
.notFound .container .svgs.svgs1 svg {
  transform: translate(400px, -400px) rotate(225deg);
}
.notFound .container .svgs.svgs1 svg:nth-child(1) {
  bottom: 50px;
  right: 200px;
  animation: moving 5s ease-in-out 0s infinite;
}
.notFound .container .svgs.svgs1 svg:nth-child(2) {
  bottom: 125px;
  right: 125px;
  animation: moving 5s ease-in-out 0.1s infinite;
  fill: yellow;
}
.notFound .container .svgs.svgs1 svg:nth-child(3) {
  bottom: 200px;
  right: 50px;
  animation: moving 5s ease-in-out 0.2s infinite;
}
.notFound .container .svgs.svgs2 svg {
  transform: translate(400px, -400px) rotate(45deg);
}
.notFound .container .svgs.svgs2 svg:nth-child(1) {
  top: 50px;
  left: 200px;
  animation: moving2 5s ease-in-out 0s infinite;
}
.notFound .container .svgs.svgs2 svg:nth-child(2) {
  top: 125px;
  left: 125px;
  animation: moving2 5s ease-in-out 0.1s infinite;
  fill: yellow;
}
.notFound .container .svgs.svgs2 svg:nth-child(3) {
  top: 200px;
  left: 50px;
  animation: moving2 5s ease-in-out 0.2s infinite;
}
@keyframes moving {
  0% {
    transform: translate(400px, -400px) rotate(225deg);
  }
  100% {
    transform: translate(-400px, 400px) rotate(225deg);
  }
}
@keyframes moving2 {
  0% {
    transform: translate(-400px, 400px) rotate(45deg);
  }
  100% {
    transform: translate(400px, -400px) rotate(45deg);
  }
}

.login, .register {
  display: flex;
  align-items: stretch;
  padding: 0;
}
.login > div, .register > div {
  width: 50%;
  padding: 30px;
}
.login > div.left, .register > div.left {
  background-color: #D9D9D9;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}
.login > div.left img, .register > div.left img {
  max-width: 400px;
  height: auto;
  width: 60%;
}
.login > div.left h2, .register > div.left h2 {
  font-size: 36px;
  color: #303030;
}
.login > div.left p, .register > div.left p {
  font-size: 18px;
  color: #303030;
}
.login > div.right, .register > div.right {
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 50px;
}
.login > div.right h1, .register > div.right h1 {
  color: #333333;
  font-size: 24px;
  margin-bottom: 20px;
}
.login > div.right .form, .register > div.right .form {
  display: flex;
  flex-direction: column;
  width: 360px;
}
.login > div.right .form label, .register > div.right .form label {
  color: #333333;
  font-size: 16px;
  margin-bottom: 10px;
}
.login > div.right .form input, .register > div.right .form input {
  padding: 10px;
  margin-bottom: 20px;
  border: 1px solid #cccccc;
  border-radius: 4px;
}
.login > div.right .form button, .register > div.right .form button {
  padding: 10px 20px;
  background-color: #007bff;
  color: #ffffff;
  font-size: 16px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}
.login > div.right .form button:hover, .register > div.right .form button:hover {
  background-color: #0056b3;
}
.login > div.right small, .register > div.right small {
  font-size: 16px;
  margin: 12px;
  color: #007bff;
  cursor: pointer;
}
.login > div.right small:hover, .register > div.right small:hover {
  color: #0056b3;
}

.accueil section {
  margin: 72px 0;
}

.page.add, .page.update {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.page.add h1, .page.update h1 {
  font-size: 24px;
  margin-bottom: 20px;
}
.page.add select, .page.update select {
  margin-bottom: 20px;
}
.page.add .form, .page.update .form {
  width: 400px;
}
.page.add .form .form-element, .page.update .form .form-element {
  margin-bottom: 20px;
}
.page.add .form .form-element label, .page.update .form .form-element label {
  display: block;
  margin-bottom: 5px;
}
.page.add .form .form-element input[type=text],
.page.add .form .form-element input[type=number],
.page.add .form .form-element textarea,
.page.add .form .form-element select, .page.update .form .form-element input[type=text],
.page.update .form .form-element input[type=number],
.page.update .form .form-element textarea,
.page.update .form .form-element select {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  resize: none;
}
.page.add .form .form-element .categories, .page.update .form .form-element .categories {
  display: flex;
  flex-wrap: wrap;
  gap: 14px;
}
.page.add .form .form-element .categories .category input[type=checkbox], .page.update .form .form-element .categories .category input[type=checkbox] {
  cursor: pointer;
}
.page.add .form .form-element.posterContainer, .page.update .form .form-element.posterContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.page.add .form .form-element.posterContainer .poster, .page.update .form .form-element.posterContainer .poster {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
}
.page.add .form .form-element.posterContainer .poster img, .page.update .form .form-element.posterContainer .poster img {
  width: 200px;
  border-radius: 100%;
  aspect-ratio: 1/1;
  object-fit: cover;
}
.page.add .form button[type=submit], .page.update .form button[type=submit] {
  padding: 10px 20px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

/*# sourceMappingURL=index.css.map */
